    # File lib/fog/aws/requests/storage/post_object_hidden_fields.rb, line 28
            def post_object_hidden_fields(options = {})
              if options['policy']
                options['policy'] = Base64.encode64(Fog::JSON.encode(options['policy'])).gsub("\n", "")
                options['AWSAccessKeyId'] = @aws_access_key_id
                options['Signature'] = Base64.encode64(@hmac.sign(options['policy'])).gsub("\n", "")
              end
              options
            end